import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

class Sample7
{
   public static void main(String args[]) throws Exception
   {
      //SAX̏
      SAXParserFactory spf
         = SAXParserFactory.newInstance();
      SAXParser sp = spf.newSAXParser();

      //nh쐬
      SampleHandler7 sh = new SampleHandler7();

      //ǂݍ
      sp.parse(args[0], sh);
   }
}

//nhNX
class SampleHandler7 extends DefaultHandler
{
   //pӂ
   StringBuffer sb = new StringBuffer();
   boolean isChannel = false;
   boolean isPrint = false;
   boolean isItemTitle = false;
   String title = "";

   public void startDocument(){

   }
   public void endDocument(){
     try{
        //ۑ
        PrintWriter pw = new PrintWriter
          (new BufferedWriter(new FileWriter("result.html")));
        pw.println(sb);
        pw.close();
     }catch(Exception e){}
   }
   public void startElement(String namespaceURI,
                            String localName,
                            String qName, 
                            Attributes attrs){
      if(qName.equals("rdf")){
         sb.append("<html>");
      }
      else if(qName.equals("channel")){
         isChannel = true;
      }
      else if(qName.equals("item")){
         sb.append("<p>");               
      }
      else if(qName.equals("title")){
         if(isChannel == true){
            isPrint = true;
            sb.append("<center>");
            sb.append("<h1>");               
         }
         else{
            isItemTitle = true;
            sb.append("<h3>");
            sb.append("<a href=\"");
         }               
      }
      else if(qName.equals("link")){
         if(isChannel == false){
            isPrint = true;
         } 
      }
      else if(qName.equals("description")){
         isPrint = true;
         if(isChannel == true){
            sb.append("<center>");               
         }
      }
   }
   public void endElement(String namespaceURI,
                          String localName,
                          String qName){
      if(qName.equals("rdf")){
         sb.append("</html>");
      }
      else if(qName.equals("channel")){
         isChannel = false;
      }
      else if(qName.equals("title")){
         if(isChannel == true){
            sb.append("</h1>");               
            sb.append("</center>");
         }
         else{
            isItemTitle = false;
         }               
         isPrint = false;
      }
      else if(qName.equals("link")){
         if(isChannel == false){
            sb.append("\">");
            sb.append(title);
            sb.append("</a>");
            sb.append("</h3>");               
            isPrint = false;
         }
      } 
      else if(qName.equals("description")){
         if(isChannel == true){
            sb.append("<br/><hr/>");
            sb.append("</center>");               
         }
         isPrint = false;
      }
   }
   public void characters(char[] ch, int start,int length){
      String str = new String(ch, start, length);
      if(str.trim().length() != 0 && isPrint ==true){
            sb.append(str);
      }
      else if(isItemTitle == true){
            title = str;
      }
   }
}
